Bug 920499 (CVE-2013-0914) - CVE-2013-0914 Kernel: sa_restorer information leak
Summary: CVE-2013-0914 Kernel: sa_restorer information leak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0914
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 920503 920504 920505 920506 920508 920509 920510
Blocks: 920455
TreeView+ depends on / blocked
 
Reported: 2013-03-12 09:29 UTC by Prasad J Pandit
Modified: 2019-09-29 13:01 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 04:47:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0829 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-05-20 20:47:02 UTC
Red Hat Product Errata RHSA-2013:1034 normal SHIPPED_LIVE Low: kernel security and bug fix update 2013-07-10 07:51:23 UTC
Red Hat Product Errata RHSA-2013:1051 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 22:22:03 UTC
Red Hat Product Errata RHSA-2013:1080 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 21:21:21 UTC

Description Prasad J Pandit 2013-03-12 09:29:18 UTC
Linux kernel is vulnerable to an information leakage flaw. This occurs when
a process calls routine - sigaction() - to access - sa_restorer - parameter.
This parameter points to an address that belongs to its parent process'
address space.

A user could use this flaw to infer address layout of a process.

Reference:
----------
 -> https://lkml.org/lkml/2013/3/11/498
 -> http://www.openwall.com/lists/oss-security/2013/03/11/8

Comment 1 Prasad J Pandit 2013-03-12 09:34:31 UTC
Upstream fix
------------
 -> http://www.spinics.net/lists/mm-commits/msg95304.html

Comment 2 Prasad J Pandit 2013-03-12 09:36:25 UTC
Statement:

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2 may address this issue.

Comment 5 Prasad J Pandit 2013-03-12 09:43:22 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 920510]

Comment 6 Josh Boyer 2013-03-12 13:30:01 UTC
(In reply to comment #1)
> Upstream fix
> ------------
>  -> http://www.spinics.net/lists/mm-commits/msg95304.html

That's the fix for 3.9.  It's worth pointing out that __ARCH_HAS_SA_RESTORER was added in 3.9, so using that patch as-is on older kernels without that change will build but won't do anything.  Using SA_RESTORER works for kernels older than 3.9-rcX.

https://lkml.org/lkml/2013/3/11/545

Comment 7 Fedora Update System 2013-03-17 01:07:26 UTC
kernel-3.8.3-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-03-22 00:18:38 UTC
kernel-3.8.3-103.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2013-05-20 16:50:59 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html

Comment 11 errata-xmlrpc 2013-07-10 03:52:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1034 https://rhn.redhat.com/errata/RHSA-2013-1034.html

Comment 12 errata-xmlrpc 2013-07-16 17:26:02 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html

Comment 13 errata-xmlrpc 2013-07-16 18:23:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html


Note You need to log in before you can comment on or make changes to this bug.